# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(File/Spec/Functions.pm) perl(Test/More.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-App-SVN-Bisect
Version:        1.1
Release:        alt1_7
Summary:        Binary search through svn revisions
License:        Artistic 2.0
Group:          Development/Perl
URL:            http://search.cpan.org/dist/App-SVN-Bisect/
Source0:        http://www.cpan.org/modules/by-module/App/INFINOID/App-SVN-Bisect-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(IO/All.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Test/Exception.pm)
BuildRequires:  perl(Test/Output.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
BuildRequires:  perl(YAML/Syck.pm)
BuildRequires:  subversion
Requires:       subversion
Source44: import.info


%description
This module implements the backend of the "svn-bisect" command line tool.
See the POD documentation of that tool, for usage details.


%package -n svn-bisect
License: Artistic 2.0
Group: Development/Perl
Summary: Binary search through svn revisions
Requires: %{name} = 0:%{version}-%{release}


%description -n svn-bisect
This is a command-line tool inspired by "git-bisect", which allows you to
perform binary searches among the revisions of a subversion project.


%prep
%setup -q -n App-SVN-Bisect-%{version}


%build
%{__perl} Build.PL --install_path bindoc=%_man1dir installdirs=vendor
./Build


%install

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*


%check
./Build test


%files
%doc Changes LICENSE README TODO
%{perl_vendor_privlib}/*


%files -n svn-bisect
%doc Changes LICENSE README TODO
%{_bindir}/svn-bisect
%{_mandir}/man1/svn-bisect.1*


%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_7
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_6
- update to new release by fcimport

* Sun May 27 2012 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_4
- fc import

